"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useDocumentTitle(titleText, joiner) {
    if (joiner === void 0) { joiner = " • "; }
    var title = (0, react_1.useRef)(titleText);
    (0, react_1.useEffect)(function () {
        var _a;
        if (!Array.isArray(title.current))
            title.current = [title.current];
        var baseTitle = (_a = document.head.querySelector("title")) === null || _a === void 0 ? void 0 : _a.getAttribute("base");
        baseTitle && title.current.push(baseTitle);
        title.current = title.current.join(joiner);
        document.title = title.current;
    }, [joiner]);
    return null;
}
exports.default = useDocumentTitle;
